Pterodactyldocs
Application A P I

Get node

Returns a single Wings node by internal numeric ID.

GET/api/application/nodes/{node_id}
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

node_id*integer

The node ID.

Query Parameters

include?string

Comma-separated relationships to include. Supports "allocations", "location", and "servers" when the key can read those resources.

Value in

  • "allocations"
  • "location"
  • "servers"
  • "location,allocations"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/application/nodes/1?include=location%2Callocations"
{  "object": "node",  "attributes": {    "id": 13316,    "uuid": "187b8d09-e808-4cfb-83d2-99913dff8daa",    "public": true,    "name": "FactoryNode_z0EUCKodf8",    "description": "string",    "location_id": 15978,    "fqdn": "17.170.141.175",    "scheme": "http",    "behind_proxy": false,    "maintenance_mode": false,    "memory": 1024,    "memory_overallocate": 0,    "disk": 10240,    "disk_overallocate": 0,    "upload_size": 100,    "daemon_listen": 8080,    "daemon_sftp": 2022,    "daemon_base": "/var/lib/pterodactyl/volumes",    "created_at": "2026-09-22T14:45:23+00:00",    "updated_at": "2026-09-22T14:45:23+00:00",    "allocated_resources": {      "memory": 0,      "disk": 0    }  },  "meta": {    "resource": "https://panel.example.test/api/application/nodes/1"  }}